<mat-card-content class="mat-card-content">
  <form [formGroup]="resetPwdForm">
    <div class="text-center">
      <img alt="Logo IMG" src="https://upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Angular_full_color_logo.svg/1200px-Angular_full_color_logo.svg.png">
    </div>
    <div fxlayout="row" fxlayoutwrap="wrap" style="flex-flow: row wrap; box-sizing: border-box; display: flex;">
      <div fxflex="100" fxflex.gt-sm="100" fxflex.gt-xs="100" style="flex: 1 1 100%; box-sizing: border-box; max-width: 100%; margin-bottom: 25px">
        <div class="text-center" fxflex="100" fxflex.gt-sm="100" fxflex.gt-xs="100" style="flex: 1 1 100%; box-sizing: border-box; max-width: 100%;">
          <mat-form-field appearance="outline" floatLabel="always" style="margin: auto;width: 100%">
            <mat-label>{{'newPwdLabel' }}</mat-label>
            <input matInput placeholder="{{'newPwdPlaceholder' }}" formControlName="password" [type]="hide ? 'text' : 'password'">
            <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility' : 'visibility_off'}}</mat-icon>
            <mat-error
              *ngIf="resetPwdForm.controls['password'].touched || resetPwdForm.controls['password'].errors?.isStrength"
            >
              {{'pwdAlert' }}
            </mat-error>
          </mat-form-field>
          <mat-form-field appearance="outline" floatLabel="always">
            <mat-label>{{'confPwdLabel' }}</mat-label>
            <input matInput placeholder="{{'confPwdPlaceholder' }}" formControlName="confirmPassword"
            [type]="hide1 ? 'text' : 'password'">
              <mat-icon matSuffix (click)="hide1 = !hide1">{{hide1 ? 'visibility' : 'visibility_off'}}</mat-icon>
              <mat-error *ngIf="resetPwdForm.controls['confirmPassword'].errors?.MatchPassword">
              {{'unmatchedPwd' }}
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="text-center btn-position" fxflex="100" fxflex.gt-sm="100" fxflex.gt-xs="100">
        <button mat-raised-button (click)="resetPassword()" color='primary'>
          {{ 'restPwd' }}
        </button>
      </div>
    </div>
  </form>
</mat-card-content>